## Makefile.am for text file meta info plugin

# set the include path for X, qt and KDE
INCLUDES         = $(all_includes)

noinst_HEADERS   = tdefile_txt.h

kde_module_LTLIBRARIES = tdefile_txt.la

tdefile_txt_la_SOURCES = tdefile_txt.cpp
tdefile_txt_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
tdefile_txt_la_LIBADD = $(LIB_TDEIO)

# let automoc handle all of the meta source files (moc)
METASOURCES = AUTO

messages:
	$(XGETTEXT) *.cpp -o $(podir)/tdefile_txt.pot

services_DATA = tdefile_txt.desktop
servicesdir = $(kde_servicesdir)
